Skip to main content
POST
/
v2
/
oauth-clients
/
{clientId}
/
users
/
{userId}
/
force-refresh
Force refresh tokens
curl --request POST \
  --url https://api.cal.com/v2/oauth-clients/{clientId}/users/{userId}/force-refresh \
  --header 'Authorization: Bearer <token>' \
  --header 'x-cal-secret-key: <x-cal-secret-key>'
import requests

url = "https://api.cal.com/v2/oauth-clients/{clientId}/users/{userId}/force-refresh"

headers = {
"x-cal-secret-key": "<x-cal-secret-key>",
"Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-cal-secret-key': '<x-cal-secret-key>', Authorization: 'Bearer <token>'}
};

fetch('https://api.cal.com/v2/oauth-clients/{clientId}/users/{userId}/force-refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
    "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
    "accessTokenExpiresAt": 123,
    "refreshTokenExpiresAt": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-cal-secret-key
string
required

OAuth client secret key

Path Parameters

userId
number
required
clientId
string
required

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required